return	Def.ActorFrame{
	InitCommand=cmd(x,50);

	Def.Quad{
		InitCommand=cmd(draworder,0;setsize,SCREEN_WIDTH*.8,60;diffuse,Color("Orange");fadeleft,0;faderight,.5);
	};
	
	LoadFont("Serif")..{
		InitCommand=cmd(vertalign,bottom;horizalign,left;zoom,1.2;);
		SetCommand=function(self, params)
			local name = params.Text
			if name then
				self:settext(name);
			end;
		end;
		CurrentSongChangedMessageCommand=function(self)
            self:queuecommand("Set");
        end;
	
	};
	--The number is set from metrics
	LoadFont("Serif")..{
		Text="Songs: ";
		InitCommand=cmd(vertalign,top;horizalign,left;y,10;zoom,.8;maxwidth,300);
		--[[SetCommand=function(self, params)
			local name = params.Text
			if name then
				self:settext(name);
			end;
		end;
		CurrentSongChangedMessageCommand=function(self)
            self:queuecommand("Set");
        end;]]
	
	};
	
};